# coding: utf-8

lib = File.expand_path('../../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'conclas'
require 'test/unit'


TOKEN = 'API_KEY'

class TestConClas < Test::Unit::TestCase
  def test_direct_classify
    api = ConClas::Api.new(TOKEN)
    contents = [
      {
        "url" => "http://techcrunch.com/2016/05/23/we-need-more-driverless-car-accidents/"
      }
    ]
    response = api.direct_classify(contents)
    assert_equal(true, response.has_key?('results'))
  end

  def test_indirect_classify
    api = ConClas::Api.new(TOKEN)
    contents = [
      {
        "url" => "http://techcrunch.com/2016/05/23/we-need-more-driverless-car-accidents/"
      }
    ]
    response = api.indirect_classify(contents, "http://www.mysite.com/callback")
    assert_equal(true, response.has_key?('ids'))
  end
end